# bundestag-lobbyregister
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.3
- Package version: 0.1.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python >= 3.6

## Installation & Usage
### pip install

```sh
pip install deutschland[bundestag_lobbyregister]
```

### poetry install

```sh
poetry add deutschland -E bundestag_lobbyregister
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

## Usage

Import the package:
```python
from deutschland import bundestag_lobbyregister
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
from deutschland import bundestag_lobbyregister
from pprint import pprint
from deutschland.bundestag_lobbyregister.api import default_api
from deutschland.bundestag_lobbyregister.model.detailed_search_results import DetailedSearchResults
from deutschland.bundestag_lobbyregister.model.sort_order import SortOrder
# Defining the host is optional and defaults to https://www.lobbyregister.bundestag.de
# See configuration.py for a list of all supported configuration parameters.
configuration = bundestag_lobbyregister.Configuration(
    host = "https://www.lobbyregister.bundestag.de"
)



# Enter a context with an instance of the API client
with bundestag_lobbyregister.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = default_api.DefaultApi(api_client)
    q = "q_example" # str | The text to search for. Will search in all text fields.  Leave empty to retrieve all registrations (optional)
sort = SortOrder("REGISTRATION_DESC") # SortOrder |  (optional)

    try:
        # Search through all registrations
        api_response = api_instance.suche_detail_json(q=q, sort=sort)
        pprint(api_response)
    except bundestag_lobbyregister.ApiException as e:
        print("Exception when calling DefaultApi->suche_detail_json: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://www.lobbyregister.bundestag.de*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**suche_detail_json**](docs/DefaultApi.md#suche_detail_json) | **GET** /sucheDetailJson | Search through all registrations


## Documentation For Models

 - [Activity](docs/Activity.md)
 - [Address](docs/Address.md)
 - [AddressCountry](docs/AddressCountry.md)
 - [ClientOrganization](docs/ClientOrganization.md)
 - [DetailedSearchResults](docs/DetailedSearchResults.md)
 - [DetailedSearchResultsSearchParameters](docs/DetailedSearchResultsSearchParameters.md)
 - [Donator](docs/Donator.md)
 - [DonatorDonationEuro](docs/DonatorDonationEuro.md)
 - [Entry](docs/Entry.md)
 - [EntryAccount](docs/EntryAccount.md)
 - [EntryEmployeeCount](docs/EntryEmployeeCount.md)
 - [EntryFinancialExpensesEuro](docs/EntryFinancialExpensesEuro.md)
 - [Facet](docs/Facet.md)
 - [FieldOfInterest](docs/FieldOfInterest.md)
 - [LegalForm](docs/LegalForm.md)
 - [LegalRepresentative](docs/LegalRepresentative.md)
 - [LegislativeProject](docs/LegislativeProject.md)
 - [LobbyistIdentity](docs/LobbyistIdentity.md)
 - [Media](docs/Media.md)
 - [MediaMedia](docs/MediaMedia.md)
 - [NamedEmployee](docs/NamedEmployee.md)
 - [NumberRange](docs/NumberRange.md)
 - [SearchResult](docs/SearchResult.md)
 - [SortOrder](docs/SortOrder.md)


## Documentation For Authorization

 All endpoints do not require authorization.

## Author

kontakt@bund.dev


## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in bundestag_lobbyregister.apis and bundestag_lobbyregister.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from deutschland.bundestag_lobbyregister.api.default_api import DefaultApi`
- `from deutschland.bundestag_lobbyregister.model.pet import Pet`

Solution 2:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
from deutschland import bundestag_lobbyregister
from deutschland.bundestag_lobbyregister.apis import *
from deutschland.bundestag_lobbyregister.models import *
```

