# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['deutschland',
 'deutschland.bundestag_lobbyregister',
 'deutschland.bundestag_lobbyregister.api',
 'deutschland.bundestag_lobbyregister.apis',
 'deutschland.bundestag_lobbyregister.model',
 'deutschland.bundestag_lobbyregister.models']

package_data = \
{'': ['*']}

install_requires = \
['python-dateutil', 'urllib3>=1.25.3']

setup_kwargs = {
    'name': 'de-bundestag-lobbyregister',
    'version': '0.1.0',
    'description': 'Bundestag: Lobbyregister',
    'long_description': '# bundestag-lobbyregister\nNo description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)\n\nThis Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:\n\n- API version: 1.3\n- Package version: 0.1.0\n- Build package: org.openapitools.codegen.languages.PythonClientCodegen\n\n## Requirements.\n\nPython >= 3.6\n\n## Installation & Usage\n### pip install\n\n```sh\npip install deutschland[bundestag_lobbyregister]\n```\n\n### poetry install\n\n```sh\npoetry add deutschland -E bundestag_lobbyregister\n```\n\n### Setuptools\n\nInstall via [Setuptools](http://pypi.python.org/pypi/setuptools).\n\n```sh\npython setup.py install --user\n```\n(or `sudo python setup.py install` to install the package for all users)\n\n## Usage\n\nImport the package:\n```python\nfrom deutschland import bundestag_lobbyregister\n```\n\n## Getting Started\n\nPlease follow the [installation procedure](#installation--usage) and then run the following:\n\n```python\n\nimport time\nfrom deutschland import bundestag_lobbyregister\nfrom pprint import pprint\nfrom deutschland.bundestag_lobbyregister.api import default_api\nfrom deutschland.bundestag_lobbyregister.model.detailed_search_results import DetailedSearchResults\nfrom deutschland.bundestag_lobbyregister.model.sort_order import SortOrder\n# Defining the host is optional and defaults to https://www.lobbyregister.bundestag.de\n# See configuration.py for a list of all supported configuration parameters.\nconfiguration = bundestag_lobbyregister.Configuration(\n    host = "https://www.lobbyregister.bundestag.de"\n)\n\n\n\n# Enter a context with an instance of the API client\nwith bundestag_lobbyregister.ApiClient(configuration) as api_client:\n    # Create an instance of the API class\n    api_instance = default_api.DefaultApi(api_client)\n    q = "q_example" # str | The text to search for. Will search in all text fields.  Leave empty to retrieve all registrations (optional)\nsort = SortOrder("REGISTRATION_DESC") # SortOrder |  (optional)\n\n    try:\n        # Search through all registrations\n        api_response = api_instance.suche_detail_json(q=q, sort=sort)\n        pprint(api_response)\n    except bundestag_lobbyregister.ApiException as e:\n        print("Exception when calling DefaultApi->suche_detail_json: %s\\n" % e)\n```\n\n## Documentation for API Endpoints\n\nAll URIs are relative to *https://www.lobbyregister.bundestag.de*\n\nClass | Method | HTTP request | Description\n------------ | ------------- | ------------- | -------------\n*DefaultApi* | [**suche_detail_json**](docs/DefaultApi.md#suche_detail_json) | **GET** /sucheDetailJson | Search through all registrations\n\n\n## Documentation For Models\n\n - [Activity](docs/Activity.md)\n - [Address](docs/Address.md)\n - [AddressCountry](docs/AddressCountry.md)\n - [ClientOrganization](docs/ClientOrganization.md)\n - [DetailedSearchResults](docs/DetailedSearchResults.md)\n - [DetailedSearchResultsSearchParameters](docs/DetailedSearchResultsSearchParameters.md)\n - [Donator](docs/Donator.md)\n - [DonatorDonationEuro](docs/DonatorDonationEuro.md)\n - [Entry](docs/Entry.md)\n - [EntryAccount](docs/EntryAccount.md)\n - [EntryEmployeeCount](docs/EntryEmployeeCount.md)\n - [EntryFinancialExpensesEuro](docs/EntryFinancialExpensesEuro.md)\n - [Facet](docs/Facet.md)\n - [FieldOfInterest](docs/FieldOfInterest.md)\n - [LegalForm](docs/LegalForm.md)\n - [LegalRepresentative](docs/LegalRepresentative.md)\n - [LegislativeProject](docs/LegislativeProject.md)\n - [LobbyistIdentity](docs/LobbyistIdentity.md)\n - [Media](docs/Media.md)\n - [MediaMedia](docs/MediaMedia.md)\n - [NamedEmployee](docs/NamedEmployee.md)\n - [NumberRange](docs/NumberRange.md)\n - [SearchResult](docs/SearchResult.md)\n - [SortOrder](docs/SortOrder.md)\n\n\n## Documentation For Authorization\n\n All endpoints do not require authorization.\n\n## Author\n\nkontakt@bund.dev\n\n\n## Notes for Large OpenAPI documents\nIf the OpenAPI document is large, imports in bundestag_lobbyregister.apis and bundestag_lobbyregister.models may fail with a\nRecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:\n\nSolution 1:\nUse specific imports for apis and models like:\n- `from deutschland.bundestag_lobbyregister.api.default_api import DefaultApi`\n- `from deutschland.bundestag_lobbyregister.model.pet import Pet`\n\nSolution 2:\nBefore importing the package, adjust the maximum recursion limit as shown below:\n```\nimport sys\nsys.setrecursionlimit(1500)\nfrom deutschland import bundestag_lobbyregister\nfrom deutschland.bundestag_lobbyregister.apis import *\nfrom deutschland.bundestag_lobbyregister.models import *\n```\n\n',
    'author': 'BundesAPI',
    'author_email': 'kontakt@bund.dev',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/bundesAPI/bundestag-lobbyregister-api',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.6',
}


setup(**setup_kwargs)
